Subject: RE: cygwin.bat replacement ...
From: "Pabs" <[email-masked]>
To: "Jason B. Alonso" <[email-masked]>
Cc: [email-masked]
Date: Wed, 04 Apr 2001 11:27:13 +0800

>Might I suggest a somewhat simpler solution?
Sure

---------------------------------------------------------------
...I noticed that the normal Cygwin.bat is minimalist.  It sets
the CYGWIN environment variable and runs bash, nothing else.  Not even a path
setting.  Everything else is handled in /etc/profile.
---------------------------------------------------------------
At home on win95 & win98 here at uni there is no CYGWIN env var.
What is it for?

>Here's my solution (replace C:\Cygwin as necessary)...
>Cyg2.bat
>========
>@echo off
>cd "%1"
>SET CYGWIN=tty ntsec
>SET CYG2=HOLD
>C:\Cygwin\bin\bash --login -i
>=========
Elegant, but
you are missing "cd back to the curent directory for people who called cygwin.bat
from a command.com (or cmd.exe) prompt" and it doesn't seem to work when %1
is nothing even if I replace
cd "%1" with if NOT %1/ == / cd "%1"

The main reason I did it only using a batch file (& not /etc/profile) was that
I had problems with special characters in the pathnames like single quotes (')
and with "" quoting.
Also I wanted to be able to have only one file for executing cygwin.
I still think it would be better implemented as an exe since it would eliminate
such interpretation problems.

>I might have added it myself, but I don't remember...
Nope setup.exe installs that.

Seeya, Pabs

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple